  <script type="text/javascript">
    var ppo2grenz = 1.6;
    var ppn2grenz = 4.0;
    var akost = 0.030;
    var o2kost = 0.035;
    var hekost = 0.050;
    var airkost = 0.003;
    var servicekoste = 10;

    function Runden(zahl) {
      return Math.round(zahl * 100) / 100;
    }
    function RundenPreis(zahl) {
      return number_format(zahl, 2, ".", "");
    }
    function number_format(number, decimals, sep, th_sep) {
      var sgn = "";
      var leftHand = "";
      var rightHand = "";

      number = Math.round(number * Math.pow(10, decimals)) /
          Math.pow(10, decimals);
      if (number < 0) {
        number *= (-1);
        sgn = "-";
      }
      str_number = number.toString();
      arr_int = str_number.split(".");
      leftHand = (arr_int[0]) ? arr_int[0] : "0";
      rightHand = (arr_int[1]) ? arr_int[1] : "";
      // rechts vom Komma
      if (rightHand.length < decimals) {
        var begin = rightHand.length + 1;
        for (var i = begin; i <= decimals; i++) {
          rightHand += "0";
        }
      }
      // links vom Komma
      if (th_sep != "" && leftHand.length > 3) {
        subject = leftHand;
        leftHand = "";
        for (j = 3; j < subject.length; j += 3) {
          extract = subject.slice(
              subject.length - j, subject.length - j + 3
              );
          leftHand = th_sep + extract + leftHand + "";
        }
        str_first = subject.substr(0, (subject.length % 3 == 0) ?
            3 : (subject.length % 3)
            );
        leftHand = str_first + leftHand;
      }

      return sgn + leftHand + sep + rightHand;
    }
    function Loeschen() {
      document.form1.o2preis.value = "";
      document.form1.hepreis.value = "";
      document.form1.airpreis.value = "";
      document.form1.totpreis.value = "";

      document.form1.o2full.value = "";
      document.form1.hefull.value = "";
      document.form1.airfull.value ="";
      document.form1.totfull.value = "";
      document.form1.end.value = "";
      document.form1.ppo2.value = "";
      document.form1.ppn2.value = "";
      document.form1.pphe.value = "";

      document.form1.ppn2.style.backgroundColor = null;
      document.form1.pphe.style.backgroundColor = null;
      document.form1.ppo2.style.backgroundColor = null;
      document.form1.o2full.style.backgroundColor = null;
      document.form1.hefull.style.backgroundColor = null;
      document.form1.airfull.style.backgroundColor = null;
      document.form1.end.style.backgroundColor = null;
      end;
    }
    function PreisLoeschen() {
      o2preis = 0;
      hepreis = 0;
      airpreis = 0;
      totpreis = 0;
    }
    function aLoeschen() {
      document.form2.apreis.value = "";
      document.form2.avol.value = "";
    }

    function Berechnen() {
      o2proz = document.form1.o2proz.value;
      heproz = document.form1.heproz.value;
      n2proz = 100 - o2proz - heproz;

      tankpress = document.form1.tankpress.value;
      tiefe = document.form1.tiefe.value;
      tankvol = document.form1.tankvol.value;
      hefull = heproz * tankpress / 100;
      o2full = tankpress - hefull - ((1 - o2proz / 100 - heproz / 100) * tankpress) / 0.79;
      totfull = hefull + o2full;
      airfull = tankpress - totfull;

      end = ((tiefe / 10 + 1) * (n2proz / 100)) / 0.79;
      end = (end - 1) * 10;

      ppo2 = ((tiefe / 10) + 1) * (o2proz / 100);
      ppn2 = ((tiefe / 10) + 1) * (100 - o2proz - heproz) / 100;
      pphe = ((tiefe / 10) + 1) * heproz / 100;
      o2preis = o2full * o2kost * tankvol;
      hepreis = hefull * hekost * tankvol;
      airpreis = airfull * airkost * tankvol
      totpreis = o2preis + hepreis + airpreis;

      if (ppo2 > ppo2grenz || ppo2 < 0) {
        PreisLoeschen();
      }
      if (ppn2 > ppn2grenz || ppn2 < 0) {
        PreisLoeschen();
      }
      if (pphe < 0) {
        PreisLoeschen();
      }
      if (o2full < 0) {
        PreisLoeschen();
      }
      if (hefull < 0) {
        PreisLoeschen();
      }

      if (isNaN(end) || tankpress <= 0) {
        PreisLoeschen();
        ppn2 = 0;
        end = 0;
      }

      if ((heproz == null) || (heproz < 0.0) || (heproz == "")) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r den He Prozentanteil an.");
        Loeschen();
        exit;
      }
      if (isNaN(heproz)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r den He Prozentanteil an.");
        Loeschen();
        exit;
      }
      if ((tankpress <= 0) || isNaN(tankpress)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r den F&uuml;lldruck an.");
        Loeschen();
        exit;
      }
      if ((o2proz <= 0) || isNaN(o2proz)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r den O2 Prozentanteil an.");
        Loeschen();
        exit;
      }
      if ((tiefe <= 0) || isNaN(tiefe)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r den maximale Tiefe an.");
        Loeschen();
        exit;
      }
      if ((tankvol <= 0) || isNaN(tankvol)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r das Tankvolumen an.");
        Loeschen();
        exit;
      }

      heproz = parseFloat(heproz);
      o2proz = parseFloat(o2proz);

      if (heproz + o2proz > 100) {
        alert("Helium plus O2 Anteil d&uuml;rfen 100% nicht &uuml;berschreiten.");
        Loeschen();
        exit;
      }

      grenze = 100 - 79 / (tiefe / 10 + 1);
      if (heproz + o2proz > grenze) {
        // alert("Helium plus O2 Anteil sollte "+grenze+"% nicht &uuml;berschreiten.");

      }
      if (heproz * .21 + o2proz < 21) {
        alert("Helium mal 0.21 plus O2 Anteil d&uuml;rfen 21% nicht unterschreiten.");
        Loeschen();
        exit;
      }

      if (o2preis == 0) {
        document.form1.o2preis.value = "";
      } else {
        document.form1.o2preis.value = RundenPreis(o2preis);
      }
      if (hepreis == 0) {
        document.form1.hepreis.value = "";
      } else {
        document.form1.hepreis.value = RundenPreis(hepreis);
      }
      if (airpreis == 0) {
        document.form1.airpreis.value = "";
      } else {
        document.form1.airpreis.value = RundenPreis(airpreis);
      }
      if (totpreis == 0) {
        document.form1.totpreis.value = "";
      } else {
        document.form1.totpreis.value = RundenPreis(totpreis);
      }
      document.form1.o2full.value = Runden(o2full);
      document.form1.hefull.value = Runden(hefull);
      document.form1.airfull.value = Runden(airfull);
      document.form1.totfull.value = Runden(totfull);
      document.form1.end.value = Runden(end);
      document.form1.ppo2.value = Runden(ppo2);
      document.form1.ppn2.value = Runden(ppn2);
      document.form1.pphe.value = Runden(pphe);

      if (ppn2 > ppn2grenz || ppn2 < 0) {
        document.form1.ppn2.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.ppn2.style.backgroundColor = null;
      }
      if (pphe < 0) {
        document.form1.pphe.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.pphe.style.backgroundColor = null;
      }
      if (ppo2 > ppo2grenz || ppo2 < 0) {
        document.form1.ppo2.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.ppo2.style.backgroundColor = null;
      }
      if (o2full < 0) {
        document.form1.o2full.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.o2full.style.backgroundColor = null;
      }
      if (hefull < 0) {
        document.form1.hefull.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.hefull.style.backgroundColor = null;
      }
      if (end < 0) {
        document.form1.end.style.backgroundColor = "#FBD2D1";
      } else {
        document.form1.end.style.backgroundColor = null;
      }
    }

    function aBerechnen() {
      atankpress = document.form2.atankpress.value;
      atankvol = document.form2.atankvol.value;
      avol = atankvol * atankpress;
      apreis = avol * akost;

      if ((atankpress <= 0) || isNaN(atankpress)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert &uuml;r den Argon F&uuml;lldruck an.");
        aLoeschen();
        exit;
      }
      if ((atankvol <= 0) || isNaN(atankvol)) {
        alert("Bitte geben sie einen g&uuml;ltigen Wert f&uuml;r das Argon Volumen an.");
        aLoeschen();
        exit;
      }

      if (apreis == 0) {
        document.form2.apreis.value = "";
      } else {
        document.form2.apreis.value = RundenPreis(apreis);
        document.form2.avol.value = avol;
      }
    }
  </script>

  <h4>Preisberechnung von Nitrox- und Trimix-F&uuml;llungen</h4>
  <form onsubmit="return false;" name="form1" id="form1">
  <table border="1" align="left" cellspacing="0" cellpadding="4">
    <tbody>
      <tr>
        <td class="aqd-bg-grayl">
          <p style="margin-top: 10px; "><strong>Gasmischung</strong></p>
          <!-- Gasmischung Nitrox/Trimix -->
          <table border="0">
            <tbody>
              <tr>
                <td align="left"><strong>Sauerstoff (O2)</strong></td>
                <td align="left"><strong>Helium (He)</strong></td>
                <td align="left"><strong>F&uuml;lldruck</strong></td>
                <td align="left"><strong>Tankvolumen</strong></td>
                <td align="left"><strong>Tiefe</strong></td>
              </tr>         
              <tr>
                <td align="left"><input type="text" id="o2proz" align="middle" size="5" maxlength="3" style="width:100px" /> %&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" id="heproz" align="middle" size="5" maxlength="3" style="width:100px" /> %&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" id="tankpress" align="middle" size="5" maxlength="3" style="width:100px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" id="tankvol" align="middle" size="5" maxlength="2" style="width:100px" /> Liter&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" id="tiefe" align="middle" size="5" maxlength="3" style="width:100px" /> Meter&nbsp;&nbsp;&nbsp;</td>
              </tr>
            </tbody>
          </table>
          <p>&nbsp;</p>
          <p align="center"><button onclick="Berechnen()">Berechnen</button></p>
        </td>
        <td class="aqd-bg-grayl">
          <p style="margin-top: 10px; "><strong>Kosten</strong></p>
          <!-- Kosten Nitrox/Trimix -->
          <table border="0" align="center" cellspacing="1" cellpadding="4">
            <tbody>
              <tr>
                <td>Preis O2:</td>
                <td align="left"><input type="text" disabled="" id="o2preis" align="left" size="6" style="width:80px" /> CHF</td>
              </tr>
              <tr>
                <td>Preis He:</td>
                <td align="left"><input type="text" disabled="" id="hepreis" align="left" size="6" style="width:80px" /> CHF</td>
              </tr>
              <tr>
                <td>Preis Luft:</td>
                <td align="left"><input type="text" disabled="" id="airpreis" align="left" size="6" style="width:80px" /> CHF</td>
              </tr>
              <tr>
                <td colspan="3" style="height:1px; border-bottom:double"></td>
              </tr>
              <tr>
                <td><strong>Preis Total*:</strong></td>
                <td align="left" ><input type="text" disabled="" id="totpreis" align="left" size="6" style="width:80px;color:#E40613" /> CHF</td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
      <tr>
        <td class="aqd-bg-grayl">
          <p style="margin-top: 10px; "><strong>Weitere Werte</strong> (zur Information)</p>
          <!-- Weiter Werte Nitrox/Trimix -->
          <table border="0">
            <tbody>
              <tr>
                <td>O2 F&uuml;llung</td>
                <td>He F&uuml;llung</td>
                <td>He + O2</td>
                <td>Luft F&uuml;llung</td>
              </tr>
              <tr>
                <td align="left"><input type="text" disabled="" id="o2full" align="middle" size="5" maxlength="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="hefull" align="middle" size="5" maxlength="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="totfull" align="middle" size="5" maxlength="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="airfull" align="middle" size="5" maxlength="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
              </tr>
              <tr>
                <td align="left">&nbsp;</td>
                <td align="left">&nbsp;</td>
                <td align="left">&nbsp;</td>
                <td align="left">&nbsp;</td>
              </tr>
              <tr>
                <td align="left">END**</td>
                <td align="left">ppO2</td>
                <td align="left">ppN2</td>
                <td align="left">ppHe</td>
              </tr>
              <tr>
                <td align="left"><input type="text" disabled="" id="end" align="left" size="3" style="width:80px" /> Meter&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="ppo2" align="left" size="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="ppn2" align="left" size="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" disabled="" id="pphe" align="left" size="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
              </tr>
            </tbody>
          </table>
          <p>&nbsp;</p>
        </td>
        <td class="aqd-bg-grayl">
          <!-- Gaspreise/Grenzwerte -->
          <p style="margin-top: 10px; "><strong>Gastarife</strong></p>
          <table border="0" align="left" cellpadding="4">
            <tbody>
              <tr>
                <td align="left">Preis O2:</td>
                <td align="right"><script type="text/javascript">document.write(o2kost);</script> CHF/Liter</td>
              </tr>
              <tr>
                <td align="left">Preis He:</td>
                <td align="right"><script type="text/javascript">document.write(hekost);</script> CHF/Liter</td>
              </tr>
              <tr>
                <td align="left">Preis Luft:</td>
                <td align="right"><script type="text/javascript">document.write(airkost);</script> CHF/Liter</td>
              </tr>
            </tbody>
          </table>
          <p><strong>Grenzwerte</strong></p>
          <table border="0" align="left" cellpadding="4">
            <tbody>
              <tr>
                <td align="left">ppO2 max.:</td>
                <td align="right"><script type="text/javascript">document.write(ppo2grenz);</script> bar</td>
              </tr>
              <tr>
                <td align="left">ppN2 max.:</td>
                <td align="right"><script type="text/javascript">document.write(ppn2grenz);</script> bar</td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
      <tr >
        <td colspan="2" class="rt-text-small-inline aqd-bg-grayl"><strong>*) Bei Sauerstoff- und/oder Heliumf&uuml;llungen wird zus&auml;tzlich eine Servicegeb&uuml;hr von CHF 10/Flasche bzw. Ger&auml;t erhoben.<br />**) Equivalent Narcotic Depth</strong></td>
      </tr>
    </tbody>
  </table>
</form>
  <div style="clear:both">&nbsp;</div>
  <h4>Preisberechnung von Argon-F&uuml;llungen</h4>
  <form onsubmit="return false;" name="form2" id="form2">
  <table border="1" align="left" cellspacing="0" cellpadding="4">
    <tbody>
      <tr>
        <td class="aqd-bg-grayl">
          <p style="margin-top: 10px; "><strong>Gasf&uuml;llung</strong></p>
          <table border="0">
            <tbody>
              <tr>
                <td align="left"><strong>F&uuml;lldruck</strong></td>
                <td align="left"><strong>Tankvolumen</strong></td>
              </tr>
              <tr>
                <td align="left"><input type="text" id="atankpress" align="middle" size="5" maxlength="3" style="width:80px" /> bar&nbsp;&nbsp;&nbsp;</td>
                <td align="left"><input type="text" id="atankvol" align="middle" size="5" maxlength="3" style="width:80px" /> Liter&nbsp;&nbsp;&nbsp;</td>
              </tr>
            </tbody>
          </table>
          <p>&nbsp;</p>          
          <p align="center"><button onclick="aBerechnen()">Berechnen</button></p>
        </td>
        <td class="aqd-bg-grayl">
          <p style="margin-top: 10px; "><strong>Kosten</strong></p>
          <table border="0" align="left" cellspacing="1" cellpadding="4">
            <tbody>
              <tr>
                <td align="left">Preis Argon:</td>
                <td align="right"><script type="text/javascript">document.write(akost);</script> CHF/Liter</td>
              </tr>
              <tr>
                <td align="left">Argon Volumen (bei 1 bar):</td>
                <td align="right"><input type="text" disabled="" id="avol" align="left" size="6" style="width:80px" /> Liter</td>
              </tr>
              <tr>
                <td align="left"><strong>Preis***:</strong></td>
                <td align="right"><input type="text" disabled="" id="apreis" align="left" size="6" style="width:80px;color:#E40613" /> CHF</td>
              </tr>
            </tbody>
          </table>
          <p>&nbsp;</p>
        </td>
      </tr>
       <tr>
        <td colspan="2" class="rt-text-small-inline aqd-bg-grayl"><strong>***) Bei Argonf&uuml;llungen wird zus&auml;tzlich eine Servicegeb&uuml;hr von CHF 10/Flasche bzw. Ger&auml;t erhoben.</strong></td>
      </tr>
    </tbody>
  </table>
  </form>
  <div style="clear:both">&nbsp;</div>